---
updatedAt: 2026-09-29T11:53:57.000Z
agentTools:
  projectIndex: https://developer.avionte.com/llms.txt
---

# Add a Talent Certification Tag

Adds a certification tag or a custom tag the company would like to use for the specified talent record. Added tag is displayed on the *Certificates* tab of the talent profile page.

<Callout icon="⚠️" theme="warn">
  Although the  **id** parameter is listed among the body parameters,  it does not need to be specified. The entered value will be overwritten.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "BOLD Front Office API",
    "description": "Manage BOLD Front Office data",
    "license": {
      "name": "Avionté Open API License"
    },
    "version": "1.28.9-r53"
  },
  "servers": [
    {
      "url": "https://api.avionte.com/front-office"
    }
  ],
  "security": [
    {
      "api_key": []
    },
    {
      "bearerTokenAuth": []
    }
  ],
  "tags": [
    {
      "name": "Talent"
    }
  ],
  "paths": {
    "/v1/talent/{talentId}/certification": {
      "post": {
        "tags": [
          "Talent"
        ],
        "summary": "Add a Talent Certification Tag",
        "description": "Adds a certification tag or a custom tag the company would like to use for the specified talent record. Added tag is displayed on the *Certificates* tab of the talent profile page.",
        "operationId": "AddCertification",
        "parameters": [
          {
            "name": "RequestId",
            "in": "header",
            "description": "Unique request identifier (UUID) used to correlate request data with log entries and events.",
            "required": false,
            "schema": {
              "$ref": "#/components/schemas/RequestId"
            }
          },
          {
            "name": "FrontOfficeTenantId",
            "in": "header",
            "description": "An integer identifier for the tenant that the request is being made for. Required when Tenant header is not provided.",
            "required": false,
            "schema": {
              "type": "integer"
            },
            "example": 89
          },
          {
            "name": "Tenant",
            "in": "header",
            "description": "Tenant company code that determines data access scope during the request. Required when FrontOfficeTenantId header is not provided.",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "API_TEST"
          },
          {
            "name": "talentId",
            "in": "path",
            "description": "The identifier for the talent record to add the certification tag to.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "17847"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/TalentCertification"
              }
            }
          },
          "required": true
        },
        "responses": {
          "201": {
            "description": "The newly created certification tag.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TalentCertification"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/400BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/401Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/403AccessDenied"
          },
          "404": {
            "$ref": "#/components/responses/404NotFound"
          },
          "405": {
            "$ref": "#/components/responses/405UnsupportedMethod"
          },
          "406": {
            "$ref": "#/components/responses/406UnsupportedAccessHeader"
          },
          "409": {
            "$ref": "#/components/responses/409Conflict"
          },
          "415": {
            "$ref": "#/components/responses/415UnsupportedContentType"
          },
          "429": {
            "$ref": "#/components/responses/429TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/500InternalError"
          },
          "502": {
            "$ref": "#/components/responses/502BadGateway"
          },
          "504": {
            "$ref": "#/components/responses/504GatewayTimeout"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "TalentCertification": {
        "required": [
          "certificationName",
          "talentId"
        ],
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "description": "The identifier for the talent Certification Tag.",
            "format": "int32",
            "example": 28456
          },
          "talentId": {
            "minimum": 1,
            "type": "integer",
            "description": "The identifier for the talent.",
            "format": "int32",
            "example": 138345
          },
          "certificationId": {
            "type": "integer",
            "description": "The identifier for the Certification option.",
            "format": "int32",
            "example": 589
          },
          "certificationName": {
            "maxLength": 255,
            "type": "string",
            "description": "The name of the Certification option.",
            "example": "Forklift Certified"
          },
          "expirationDate": {
            "type": "string",
            "description": "The expiration date of the Certification Tag. The field follows the YYYY-MM-DD or YYYY-MM-DDTHH:mm:ss formats, for example, 2026-12-01 or 2026-12-01T00:00:00.",
            "format": "date-time"
          }
        },
        "additionalProperties": false
      },
      "RequestId": {
        "type": "string",
        "description": "Unique request identifier in UUID format used to correlate request data to log entries and events.",
        "format": "uuid",
        "example": "63680b86-c7e0-4a36-ae4a-d0d481089aff"
      }
    },
    "responses": {
      "400BadRequest": {
        "description": "Bad Request",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "error": {
                  "type": "string"
                }
              }
            }
          }
        }
      },
      "401Unauthorized": {
        "description": "Unauthorized"
      },
      "403AccessDenied": {
        "description": "Access Denied"
      },
      "404NotFound": {
        "description": "Not found",
        "content": {
          "application/json": {
            "schema": {
              "properties": {
                "id": {
                  "type": "string",
                  "description": "Identifier of the entity not found (can be an integer or UUID)"
                }
              }
            }
          }
        }
      },
      "405UnsupportedMethod": {
        "description": "Unsupported method"
      },
      "406UnsupportedAccessHeader": {
        "description": "Unsupported format(s) indicated by Accept header"
      },
      "409Conflict": {
        "description": "Operation could not be completed due to conflict."
      },
      "415UnsupportedContentType": {
        "description": "Unsupported format(s) indicated by the Content-Type header"
      },
      "429TooManyRequests": {
        "description": "Too many requests"
      },
      "500InternalError": {
        "description": "An unexpected error occurred"
      },
      "502BadGateway": {
        "description": "Service Unavailable"
      },
      "504GatewayTimeout": {
        "description": "Gateway Timeout"
      }
    },
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header"
      },
      "bearerTokenAuth": {
        "type": "http",
        "description": "Contains the caller's access token, in the form \"Bearer {token}\", without quotes.",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  }
}
```